osgViewer::View::StereoSlaveCallback Struct Reference

`#include <View>`

Inheritance diagram for osgViewer::View::StereoSlaveCallback:

## Public Member Functions

| StereoSlaveCallback (osg::DisplaySettings *ds, double eyeScale)
virtual void | updateSlave (osg::View &view, osg::View::Slave &slave)
Public Member Functions inherited from osg::Referenced
| Referenced ()
| Referenced (bool threadSafeRefUnref)
| Referenced (const Referenced &)
Referenced & | operator= (const Referenced &)
virtual void | setThreadSafeRefUnref (bool)
bool | getThreadSafeRefUnref () const
OpenThreads::Mutex * | getRefMutex () const
int | ref () const
int | unref () const
int | unref_nodelete () const
int | referenceCount () const
ObserverSet * | getObserverSet () const
ObserverSet * | getOrCreateObserverSet () const
void | addObserver (Observer *observer) const
void | removeObserver (Observer *observer) const

## Public Attributes

osg::ref_ptr< osg::DisplaySettings > | _ds
double | _eyeScale

## Additional Inherited Members

Static Public Member Functions inherited from osg::Referenced
static OpenThreads::Mutex * | getGlobalReferencedMutex ()
static void | setDeleteHandler (DeleteHandler *handler)
static DeleteHandler * | getDeleteHandler ()
Protected Member Functions inherited from osg::Referenced
virtual | ~Referenced ()
void | signalObserversAndDelete (bool signalDelete, bool doDelete) const
void | deleteUsingDeleteHandler () const
Protected Attributes inherited from osg::Referenced
OpenThreads::AtomicPtr | _observerSet
OpenThreads::Atomic | _refCount

## Constructor & Destructor Documentation

## StereoSlaveCallback()

osgViewer::View::StereoSlaveCallback::StereoSlaveCallback | ( | osg::DisplaySettings * | ds,
|  | double | eyeScale )

inline

References _ds, and _eyeScale.

## Member Function Documentation

## updateSlave()

virtual void osgViewer::View::StereoSlaveCallback::updateSlave | ( | osg::View & | view,
|  | osg::View::Slave & | slave )

virtual

Implements osg::View::Slave::UpdateSlaveCallback.

## Member Data Documentation

## _ds

osg::ref_ptr<osg::DisplaySettings> osgViewer::View::StereoSlaveCallback::_ds

Referenced by StereoSlaveCallback().

## _eyeScale

double osgViewer::View::StereoSlaveCallback::_eyeScale

Referenced by StereoSlaveCallback().

The documentation for this struct was generated from the following file:

- osgViewer/View